Subject: Re: [patch] powerpc/ps3: Use hard coded values for LV1 device type

From: Geoff Levand <[email-masked]>
Date: Tue, 10 Feb 2009 14:46:19 -0800

James Bottomley wrote:
> On Mon, 2009-02-09 at 11:11 +1100, Benjamin Herrenschmidt wrote:
>> The PS3 platform code wants to use some of the standard SCSI types from
>> there though, as they are part of the hypervisor ABI. (And in fact it
>> can be argued that non-block devices using SCSI do exist, such as
>> scanners, no ?)
>> 
>> Any reason other than pre-historical to have blkdev.h shielded like
>> that ?
> 
> Actually, I think the fix lies in scsi.h ... we can make that into a
> nicely independent protocol header file.  Your current woes come because
> it pulls in scsi_cmnd.h ... perhaps just getting rid of this will fix
> it.
> 
> Can the rest of linux-scsi verify that the fix below doesn't break
> something else?
> 
> I found one cockup: block/cmd-filter.c is apparently not including
> linuc/blkdev.h directly but via scsi/scsi.h ... I fixed this up.
...
> diff --git a/block/cmd-filter.c b/block/cmd-filter.c
> diff --git a/include/scsi/scsi_cmnd.h b/include/scsi/scsi_cmnd.h

I tested this scsi header fix on PS3 and it fixes the BLK_MAX_CDB
not defined build error when CONFIG_BLOCK=n.

Acked-by: Geoff Levand <[email-masked]>